PharData::delMetadata
PharData::extractTo
PharData
PHP Manual

# PharData::delete

(PHP >= 5.3.0, PECL phar >= 2.0.0)

PharData::delete — Delete a file within a tar/zip archive

### Description

bool PharData::delete ( string `$entry` )

Delete a file within an archive. This is the functional equivalent of calling unlink() on the stream wrapper equivalent, as shown in the example below.

### Parameters

`entry`

  Path within an archive to the file to delete.

### Return Values

returns `TRUE` on success, but it is better to check for thrown exception, and assume success if none is thrown.

### Errors/Exceptions

Throws PharException if errors occur while flushing changes to disk.

### Examples

Example #1 A PharData::delete() example

`<?php
try {
$phar = new PharData('myphar.zip');
$phar->delete('unlink/me.php');
// this is equivalent to:
unlink('phar://myphar.phar/unlink/me.php');
} catch (Exception $e) {
// handle errors
}
?>`

### See Also

- Phar::delete() - Delete a file within a phar archive

PharData::delMetadata
PharData::extractTo
PharData
PHP Manual